/*
 *  GOL - Game of life simulation software
 *  Copyright (C) 1996 Michael Raymond Brown
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Michael Raymond Brown
 *  EMail:  michael@arrakeen.demon.co.uk
 *  WWW:    http://www.arrakeen.demon.co.uk/
 *  Address:  Michael Brown
 *            Kia Ora
 *            Brook Street
 *            Great Bromley
 *            Nr Colchester
 *            Essex
 *            CO7 7HX
 *            England
 */


#ifndef _tSpinBox_h
#define _tSpinBox_h

#ifdef __GNUC__
#pragma interface
#endif


#include "Text.h"
#include "mForm.h"

class xwSpinBox : public xwmForm
   {private:
	xwText*text;
	int   value;
	int	min;
	int	max;
	int    step;

	class handler : public xwHandler
	   {public:
		xwSpinBox* box;
		inline handler(xwSpinBox* f) : box(f) { }
		void onClick(xwWidget* from, int index);
	   };
	handler hand;

	void init(int pmin, int pmax, int pstep);

    public:
	xwSpinBox(xwWidget* p, int min, int max, int step
		, int x1, int y1, int x2, int y2);
	xwSpinBox(xwWidget* p, int min, int max, int step);
	~xwSpinBox();

	virtual void setValue(int state);
	virtual int getValue();

	inline int getMin() {return min; }
	inline int getMax() {return max; }
	inline int getStep(){return step;}
   };

#endif

